global gDB, gT_logos, gT_algemeen, gT_groepPC, gT_groepMAC, gT_filePC, gT_fileMAC

on loadDB
  gDB = new(xtra("V12dbe"), the moviePath & "clickx.v12", "readonly", "lol")
  if not objectp(gDB) then
    alert("New V12dbe failed" & RETURN & V12Error())
  end if
  gT_logos = new(xtra("V12table"), mGetRef(gDB), "logos")
  if not objectp(gT_logos) then
    alert("New V12table failed: logos" & RETURN & V12Error())
  end if
  gT_algemeen = new(xtra("V12table"), mGetRef(gDB), "algemeen")
  if not objectp(gT_algemeen) then
    alert("New V12table failed: algemeen" & RETURN & V12Error())
  end if
  gT_groepPC = new(xtra("V12table"), mGetRef(gDB), "groepenPC")
  if not objectp(gT_groepPC) then
    alert("New V12table failed: groepenPC" & RETURN & V12Error())
  end if
  gT_groepMAC = new(xtra("V12table"), mGetRef(gDB), "groepenMAC")
  if not objectp(gT_groepMAC) then
    alert("New V12table failed: groepenMAC" & RETURN & V12Error())
  end if
  gT_filePC = new(xtra("V12table"), mGetRef(gDB), "filesPC")
  if not objectp(gT_filePC) then
    alert("New V12table failed: filesPC" & RETURN & V12Error())
  end if
  gT_fileMAC = new(xtra("V12table"), mGetRef(gDB), "filesMAC")
  if not objectp(gT_fileMAC) then
    alert("New V12table failed: filesMAC" & RETURN & V12Error())
  end if
end

on unloadDB
  gDB = 0
  gT_logos = 0
  gT_algemeen = 0
  gT_groepPC = 0
  gT_groepMAC = 0
  gT_filePC = 0
  gT_fileMAC = 0
end

on getAlgemeen
  mSelect(gT_algemeen)
  tabel = mGetSelection(gT_algemeen, "PropertyList", 1, mSelectCount(gT_algemeen), TAB, RETURN, "slogan")
  return tabel
end

on getLinksPC
  mOrderBy(gT_logos, "volgnrPC")
  mSelect(gT_logos)
  tabel = mGetSelection(gT_logos, "PropertyList", 1, mSelectCount(gT_logos), TAB, RETURN, "image", "URL")
  return tabel
end

on getGroupsPC
  mOrderBy(gT_groepPC, "volgnr")
  mSelect(gT_groepPC)
  tabel = mGetSelection(gT_groepPC, "PropertyList", 1, mSelectCount(gT_groepPC), TAB, RETURN, "ID", "Naamknop", "Titel", "Slogan", "bgImage", "kleurCaption", "kleurURL")
  return tabel
end

on getFilesPC groupID
  mSetCriteria(gT_filePC, "groepID", "=", groupID)
  mOrderBy(gT_filePC, "volgnr")
  mSelect(gT_filePC)
  tabel = mGetSelection(gT_filePC, "PropertyList", 1, mSelectCount(gT_filePC), TAB, RETURN, "ID", "Naam")
  return tabel
end

on getFileDetailsPC fileID
  mSetCriteria(gT_filePC, "ID", "=", fileID)
  mSelect(gT_filePC)
  tabel = mGetSelection(gT_filePC, "PropertyList", 1, mSelectCount(gT_filePC), TAB, RETURN, "ID", "Naam", "Image", "Caption", "Url", "Specs", "Type", "Prijs", "grootte", "Auteur", "win95", "win98", "winME", "winNT", "win2000", "winXP", "win2003", "KnopTekst", "BestandsNaam")
  put tabel
  return tabel
end

on getLinksMAC
  mOrderBy(gT_logos, "volgnrMAC")
  mSelect(gT_logos)
  tabel = mGetSelection(gT_logos, "PropertyList", 1, mSelectCount(gT_logos), TAB, RETURN, "image", "URL")
  return tabel
end

on getGroupsMAC
  mOrderBy(gT_groepMAC, "volgnr")
  mSelect(gT_groepMAC)
  tabel = mGetSelection(gT_groepMAC, "PropertyList", 1, mSelectCount(gT_groepMAC), TAB, RETURN, "ID", "Naamknop", "Titel", "Slogan", "bgImage", "kleurCaption", "kleurURL")
  return tabel
end

on getFilesMAC fileID
  mSetCriteria(gT_fileMAC, "groepID", "=", fileID)
  mOrderBy(gT_fileMAC, "volgnr")
  mSelect(gT_fileMAC)
  tabel = mGetSelection(gT_fileMAC, "PropertyList", 1, mSelectCount(gT_fileMAC), TAB, RETURN, "ID", "Naam")
  return tabel
end

on getFileDetailsMAC fileID
  mSetCriteria(gT_fileMAC, "ID", "=", fileID)
  mSelect(gT_fileMAC)
  tabel = mGetSelection(gT_fileMAC, "PropertyList", 1, mSelectCount(gT_fileMAC), TAB, RETURN, "ID", "Naam", "Image", "Caption", "Url", "Specs", "OS", "Type", "Prijs", "grootte", "Auteur", "KnopTekst", "BestandsNaam")
  return tabel
end
